outlets = 1;

function readfile(filename) 
{
	var i,a,c;
	var result = "";
	var f = new File(filename);
	if (f.isopen) {
			c = f.eof;
			i = 0;
			while(a = f.readline()) {
				i++;
				result += a;
			}
			f.close();
	}
	else {
		post("could not open file: " + filename + "\n");
	}
	
	return result;
	
}


function convertColorTableToDict(filename, dictName)
{
	post("reading file: " + filename + "\n");
	var jsString = readfile(filename);
	post("converting to js...\n");
	
	// JSON.parse works fine when running in Max, however
	// it is crashing when running as an exported Application
	var jsObj = JSON.parse(jsString);
	
	// both of the methods below work when running in Max,
	// but cause a crash when running as an exported Application
	//var jsObj = eval("(" + jsString + ")");
	//var jsObj = eval("(function(){return " + jsString + ";})()");
	
	post("creating a new dict: " + dictName + "\n");
	var d = new Dict(dictName);

	var table = jsObj.colorTable;
	if (table instanceof Array)
	{
		post("found the table: numbber of items = " + table.length + "\n");
		for (var i = 0; i < table.length; i++)
		{
			var color = table[i];
			var element = [ i, Number(color.Red), Number(color.Green), Number(color.Blue) ];
			d.set(color.ColorName, element);
		}
		post();
	}
	
	// lets post a bang when we are done
	outlet(0, "bang");
}